### Method

# Pango Context get_serial

since: 1.32.4

#### Declaration [src]

    guint
    pango_context_get_serial (
      PangoContext* context
    )

#### Description [src]

Returns the current serial number of `context`.

The serial number is initialized to an small number larger than zero when a new context is created and is increased whenever the context is changed using any of the setter functions, or the `PangoFontMap` it uses to find fonts has changed. The serial may wrap, but will never have the value 0. Since it can wrap, never compare it with “less than”, always use “not equals”.

This can be used to automatically detect changes to a `PangoContext`, and is only useful when implementing objects that need update when their `PangoContext` changes, like `PangoLayout`.

Available since: 1.32.4

#### Return value

Type: `guint`

The current serial number of `context`.